ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Scott Creeley (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-8504) Configuration parameter 'io.compression.codecs' missing in HDP 2.3.GlusterFS stack in ambari-2.1
Date Thu, 04 Jun 2015 16:12:38 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-8504?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Scott Creeley updated AMBARI-8504:
----------------------------------
    Attachment:     (was: AMBARI-8504.patch)

> Configuration parameter 'io.compression.codecs' missing in HDP 2.3.GlusterFS stack in
ambari-2.1
> ------------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-8504
>                 URL: https://issues.apache.org/jira/browse/AMBARI-8504
>             Project: Ambari
>          Issue Type: Bug
>    Affects Versions: 2.1.0
>         Environment: RHEL 6, HDP_2.1.GlusterFS stack
>            Reporter: Daniel Horak
>            Assignee: Scott Creeley
>            Priority: Minor
>              Labels: glusterfs, hcfs
>             Fix For: 2.1.0
>
>         Attachments: AMBARI-8504.patch
>
>
> Installation of cluster via ambari-1.7, stack HDP 2.1.GlusterFS fails on task "Oozie
Client install" with following error:
> {noformat}
> 2014-12-02 08:58:09,369 - Error while executing command 'install':
> Traceback (most recent call last):
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 123, in execute
>     method(env)
>   File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/services/OOZIE/package/scripts/oozie_client.py",
line 31, in install
>     self.configure(env)
>   File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/services/OOZIE/package/scripts/oozie_client.py",
line 34, in configure
>     import params
>   File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/services/OOZIE/package/scripts/params.py",
line 152, in <module>
>     lzo_enabled = "com.hadoop.compression.lzo" in io_compression_codecs
>   File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/config_dictionary.py",
line 79, in __getattr__
>     raise Fail("Configuration parameter '"+self.name+"' was not found in configurations
dictionary!")
> Fail: Configuration parameter 'io.compression.codecs' was not found in configurations
dictionary!
> {noformat}
> When I add new property *io.compression.codecs* with value:
> {noformat}org.apache.hadoop.io.compress.GzipCodec,org.apache.hadoop.io.compress.DefaultCodec,org.apache.hadoop.io.compress.SnappyCodec{noformat}
> on page *Customize Services* -> *GLUSTERFS* -> *Custom core-site*, installation
pass well.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message